package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 投放活动对应的创意模板表
 * @author chenyou
 *
 */
public class Banner {
	//主键
	private Long id;
	//创意模板id
	private Long bannerTemplateId;
	//订单id
	private Long orderId;
	//活动id
	private Long campaignId;
	//投放id
	private Long adGroupId;
	//到达地址
	private String visitAddress;
	//点击地址
	private String clickAddress;
	//曝光地址
	private String impressionAddress;
	//审核状态
	private Integer checked;
	//审核备注
	private String memo;
	//创意状态
	private Integer status;
	//最后更新时间
	private Date updated;
	//新增及状态更新时间
	private Date supdated;
	//创建bannerTemplate对象
	BannerTemplate bannerTemplate;

		
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getBannerTemplateId() {
		return bannerTemplateId;
	}
	public void setBannerTemplateId(Long bannerTemplateId) {
		this.bannerTemplateId = bannerTemplateId;
	}
	public Long getOrderId() {
		return orderId;
	}
	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}
	public Long getCampaignId() {
		return campaignId;
	}
	public void setCampaignId(Long campaignId) {
		this.campaignId = campaignId;
	}
	public Long getAdGroupId() {
		return adGroupId;
	}
	public void setAdGroupId(Long adGroupId) {
		this.adGroupId = adGroupId;
	}
	public String getVisitAddress() {
		return visitAddress;
	}
	public void setVisitAddress(String visitAddress) {
		this.visitAddress = visitAddress;
	}
	public String getClickAddress() {
		return clickAddress;
	}
	public void setClickAddress(String clickAddress) {
		this.clickAddress = clickAddress;
	}
	public String getImpressionAddress() {
		return impressionAddress;
	}
	public void setImpressionAddress(String impressionAddress) {
		this.impressionAddress = impressionAddress;
	}
	public Integer getChecked() {
		return checked;
	}
	public void setChecked(Integer checked) {
		this.checked = checked;
	}
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	public Date getSupdated() {
		return supdated;
	}
	public void setSupdated(Date supdated) {
		this.supdated = supdated;
	}
	public BannerTemplate getBannerTemplate() {
		return bannerTemplate;
	}
	public void setBannerTemplate(BannerTemplate bannerTemplate) {
		this.bannerTemplate = bannerTemplate;
	}
	@Override
	public String toString() {
		return "Banner [id=" + id + ", bannerTemplateId=" + bannerTemplateId
				+ ", orderId=" + orderId + ", campaignId=" + campaignId
				+ ", adGroupId=" + adGroupId + ", visitAddress=" + visitAddress
				+ ", clickAddress=" + clickAddress + ", impressionAddress="
				+ impressionAddress + ", checked=" + checked + ", memo=" + memo
				+ ", status=" + status + ", updated=" + updated + ", supdated="
				+ supdated + ", bannerTemplate=" + bannerTemplate + "]";
	}

	
}
